Package org.snpsift.annotate.mem.dataFrame.dataFrameColumn

# Class DataFrameColumnLong

java.lang.Object
org.snpsift.annotate.mem.dataFrame.dataFrameColumn.DataFrameColumn<Long>
org.snpsift.annotate.mem.dataFrame.dataFrameColumn.DataFrameColumnLong

All Implemented Interfaces:
  `Serializable`

public class DataFrameColumnLong extends DataFrameColumn<Long>

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.snpsift.annotate.mem.dataFrame.dataFrameColumn.DataFrameColumn

`isNUllData, MAX_NUMBER_OF_ELEMENTS_TO_SHOW, name`

## Constructor Summary

Constructors
Constructor
Description
`DataFrameColumnLong(String name, int size)`

## Method Summary

Modifier and Type
Method
Description
`protected Long`
`getData(int i)`
`protected void`
`setData(int i, Object value)`
Set data at index i
`int`
`size()`
Number of elements in this DataColumn
`long`
`sizeBytes()`
Memory size of this object (approximate size in bytes)

### Methods inherited from class org.snpsift.annotate.mem.dataFrame.dataFrameColumn.DataFrameColumn

`check, get, getName, isNull, resize, set, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataFrameColumnLong

public DataFrameColumnLong(String name, int size)

## Method Details

### getData

protected Long getData(int i)

Specified by:
  `getData` in class `DataFrameColumn<Long>`

### setData

protected void setData(int i, Object value)
Description copied from class: `DataFrameColumn`
Set data at index i

Specified by:
  `setData` in class `DataFrameColumn<Long>`

### size

public int size()
Description copied from class: `DataFrameColumn`
Number of elements in this DataColumn

Specified by:
  `size` in class `DataFrameColumn<Long>`

### sizeBytes

public long sizeBytes()
Memory size of this object (approximate size in bytes)

Specified by:
  `sizeBytes` in class `DataFrameColumn<Long>`